Unverified Commit 5422684f authored by Gavin Wood's avatar Gavin Wood Committed by GitHub
Browse files

Bump Substrate (#636)

* Merge

* Bump Substrate
parent ebed278e
Pipeline #70660 passed with stages
in 20 minutes and 23 seconds
...@@ -1054,7 +1054,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index" ...@@ -1054,7 +1054,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]] [[package]]
name = "fork-tree" name = "fork-tree"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
] ]
...@@ -1062,7 +1062,7 @@ dependencies = [ ...@@ -1062,7 +1062,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-executive" name = "frame-executive"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -1076,7 +1076,7 @@ dependencies = [ ...@@ -1076,7 +1076,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-metadata" name = "frame-metadata"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)", "serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -1087,7 +1087,7 @@ dependencies = [ ...@@ -1087,7 +1087,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support" name = "frame-support"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"bitmask 0.5.0 (registry+https://github.com/rust-lang/crates.io-index)", "bitmask 0.5.0 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-metadata 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-metadata 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -1111,7 +1111,7 @@ dependencies = [ ...@@ -1111,7 +1111,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support-procedural" name = "frame-support-procedural"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support-procedural-tools 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support-procedural-tools 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)", "proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -1122,7 +1122,7 @@ dependencies = [ ...@@ -1122,7 +1122,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support-procedural-tools" name = "frame-support-procedural-tools"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support-procedural-tools-derive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support-procedural-tools-derive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)", "proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -1134,7 +1134,7 @@ dependencies = [ ...@@ -1134,7 +1134,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support-procedural-tools-derive" name = "frame-support-procedural-tools-derive"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)", "proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
"quote 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)", "quote 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -1144,7 +1144,7 @@ dependencies = [ ...@@ -1144,7 +1144,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-system" name = "frame-system"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)", "impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -1161,7 +1161,7 @@ dependencies = [ ...@@ -1161,7 +1161,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-system-rpc-runtime-api" name = "frame-system-rpc-runtime-api"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sr-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "sr-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -1451,7 +1451,7 @@ dependencies = [ ...@@ -1451,7 +1451,7 @@ dependencies = [
[[package]] [[package]]
name = "grafana-data-source" name = "grafana-data-source"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"async-std 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "async-std 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"chrono 0.4.9 (registry+https://github.com/rust-lang/crates.io-index)", "chrono 0.4.9 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -2797,7 +2797,7 @@ dependencies = [ ...@@ -2797,7 +2797,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-authority-discovery" name = "pallet-authority-discovery"
version = "0.1.0" version = "0.1.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2815,7 +2815,7 @@ dependencies = [ ...@@ -2815,7 +2815,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-authorship" name = "pallet-authorship"
version = "0.1.0" version = "0.1.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2832,7 +2832,7 @@ dependencies = [ ...@@ -2832,7 +2832,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-babe" name = "pallet-babe"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2853,7 +2853,7 @@ dependencies = [ ...@@ -2853,7 +2853,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-balances" name = "pallet-balances"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2867,7 +2867,7 @@ dependencies = [ ...@@ -2867,7 +2867,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-collective" name = "pallet-collective"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2883,7 +2883,7 @@ dependencies = [ ...@@ -2883,7 +2883,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-democracy" name = "pallet-democracy"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2898,7 +2898,7 @@ dependencies = [ ...@@ -2898,7 +2898,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-elections-phragmen" name = "pallet-elections-phragmen"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2911,7 +2911,7 @@ dependencies = [ ...@@ -2911,7 +2911,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-finality-tracker" name = "pallet-finality-tracker"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2927,7 +2927,7 @@ dependencies = [ ...@@ -2927,7 +2927,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-grandpa" name = "pallet-grandpa"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2945,7 +2945,7 @@ dependencies = [ ...@@ -2945,7 +2945,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-im-online" name = "pallet-im-online"
version = "0.1.0" version = "0.1.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2964,7 +2964,7 @@ dependencies = [ ...@@ -2964,7 +2964,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-indices" name = "pallet-indices"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2981,7 +2981,7 @@ dependencies = [ ...@@ -2981,7 +2981,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-membership" name = "pallet-membership"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -2995,7 +2995,7 @@ dependencies = [ ...@@ -2995,7 +2995,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-nicks" name = "pallet-nicks"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3009,7 +3009,7 @@ dependencies = [ ...@@ -3009,7 +3009,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-offences" name = "pallet-offences"
version = "1.0.0" version = "1.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3024,7 +3024,7 @@ dependencies = [ ...@@ -3024,7 +3024,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-randomness-collective-flip" name = "pallet-randomness-collective-flip"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3037,7 +3037,7 @@ dependencies = [ ...@@ -3037,7 +3037,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-session" name = "pallet-session"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3056,7 +3056,7 @@ dependencies = [ ...@@ -3056,7 +3056,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-staking" name = "pallet-staking"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3076,7 +3076,7 @@ dependencies = [ ...@@ -3076,7 +3076,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-staking-reward-curve" name = "pallet-staking-reward-curve"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)", "proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)", "proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -3087,7 +3087,7 @@ dependencies = [ ...@@ -3087,7 +3087,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-sudo" name = "pallet-sudo"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3101,7 +3101,7 @@ dependencies = [ ...@@ -3101,7 +3101,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-timestamp" name = "pallet-timestamp"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3117,7 +3117,7 @@ dependencies = [ ...@@ -3117,7 +3117,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-transaction-payment" name = "pallet-transaction-payment"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -3130,7 +3130,7 @@ dependencies = [ ...@@ -3130,7 +3130,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-transaction-payment-rpc" name = "pallet-transaction-payment-rpc"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"jsonrpc-core 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)", "jsonrpc-core 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
"jsonrpc-core-client 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)", "jsonrpc-core-client 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -3147,7 +3147,7 @@ dependencies = [ ...@@ -3147,7 +3147,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-transaction-payment-rpc-runtime-api" name = "pallet-transaction-payment-rpc-runtime-api"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -3160,7 +3160,7 @@ dependencies = [ ...@@ -3160,7 +3160,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-treasury" name = "pallet-treasury"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -4273,7 +4273,7 @@ dependencies = [ ...@@ -4273,7 +4273,7 @@ dependencies = [
[[package]] [[package]]
name = "sc-rpc-api" name = "sc-rpc-api"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)", "derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)", "futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4295,7 +4295,7 @@ dependencies = [ ...@@ -4295,7 +4295,7 @@ dependencies = [
[[package]] [[package]]
name = "sc-transaction-graph" name = "sc-transaction-graph"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)", "derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)", "futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4310,7 +4310,7 @@ dependencies = [ ...@@ -4310,7 +4310,7 @@ dependencies = [
[[package]] [[package]]
name = "sc-transaction-pool" name = "sc-transaction-pool"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)", "derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)", "futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4602,7 +4602,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index" ...@@ -4602,7 +4602,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]] [[package]]
name = "sp-authorship" name = "sp-authorship"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sr-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "sr-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -4612,7 +4612,7 @@ dependencies = [ ...@@ -4612,7 +4612,7 @@ dependencies = [
[[package]] [[package]]
name = "sp-blockchain" name = "sp-blockchain"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)", "derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)", "log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4628,7 +4628,7 @@ dependencies = [ ...@@ -4628,7 +4628,7 @@ dependencies = [
[[package]] [[package]]
name = "sp-finality-tracker" name = "sp-finality-tracker"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sr-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "sr-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -4638,7 +4638,7 @@ dependencies = [ ...@@ -4638,7 +4638,7 @@ dependencies = [
[[package]] [[package]]
name = "sp-timestamp" name = "sp-timestamp"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)", "impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4651,7 +4651,7 @@ dependencies = [ ...@@ -4651,7 +4651,7 @@ dependencies = [
[[package]] [[package]]
name = "sp-transaction-pool-api" name = "sp-transaction-pool-api"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)", "derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)", "futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4665,7 +4665,7 @@ dependencies = [ ...@@ -4665,7 +4665,7 @@ dependencies = [
[[package]] [[package]]
name = "sp-transaction-pool-runtime-api" name = "sp-transaction-pool-runtime-api"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"sr-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "sr-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -4680,7 +4680,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index" ...@@ -4680,7 +4680,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]] [[package]]
name = "sr-api" name = "sr-api"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sr-api-proc-macro 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "sr-api-proc-macro 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -4694,7 +4694,7 @@ dependencies = [ ...@@ -4694,7 +4694,7 @@ dependencies = [
[[package]] [[package]]
name = "sr-api-proc-macro" name = "sr-api-proc-macro"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"blake2-rfc 0.2.18 (registry+https://github.com/rust-lang/crates.io-index)", "blake2-rfc 0.2.18 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)", "proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4706,7 +4706,7 @@ dependencies = [ ...@@ -4706,7 +4706,7 @@ dependencies = [
[[package]] [[package]]
name = "sr-arithmetic" name = "sr-arithmetic"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"integer-sqrt 0.1.2 (registry+https://github.com/rust-lang/crates.io-index)", "integer-sqrt 0.1.2 (registry+https://github.com/rust-lang/crates.io-index)",
"num-traits 0.2.10 (registry+https://github.com/rust-lang/crates.io-index)", "num-traits 0.2.10 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4719,7 +4719,7 @@ dependencies = [ ...@@ -4719,7 +4719,7 @@ dependencies = [
[[package]] [[package]]
name = "sr-io" name = "sr-io"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"hash-db 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)", "hash-db 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"libsecp256k1 0.3.2 (registry+https://github.com/rust-lang/crates.io-index)", "libsecp256k1 0.3.2 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4736,7 +4736,7 @@ dependencies = [ ...@@ -4736,7 +4736,7 @@ dependencies = [
[[package]] [[package]]
name = "sr-primitives" name = "sr-primitives"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)", "impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)", "log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
...@@ -4755,7 +4755,7 @@ dependencies = [ ...@@ -4755,7 +4755,7 @@ dependencies = [
[[package]] [[package]]
name = "sr-staking-primitives" name = "sr-staking-primitives"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)", "parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)", "sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
...@@ -4765,12 +4765,12 @@ dependencies = [ ...@@ -4765,12 +4765,12 @@ dependencies = [
[[package]] [[package]]
name = "sr-std" name = "sr-std"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
[[package]] [[package]]
name = "sr-version" name = "sr-version"
version = "2.0.0" version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#229f71565da196566c4c52ea7be49f42b8f3352f" source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#77324be7e54233cc5dbd2e2e03c32c34f82998ec"
dependencies = [ dependencies = [
"impl-serde 0.2.3 (registry+https://github.com/rust-lang/crates.io-index)", "impl-serde 0.2.3 (registry+https://github.com/rust-lang/crates.io-index)",